### Hierarchy

- IMethodOptions

## Index

### Properties

- accept
- headers
- jsCacheSeconds
- jsonOptions
- returnHeaders

## Properties

### Optional accept

accept: string

- Defined in src/services/http/RestService.ts:35

Accept header, application/json if not set

### Optional headers

headers: IHttpHeaders

- Defined in src/services/http/RestService.ts:40

Other headers to pass along with the request

### Optional jsCacheSeconds

jsCacheSeconds: CacheSeconds<any>

- Defined in src/services/http/RestService.ts:30

Cache value retrieved from server in JavaScript runtime for given seconds

### Optional jsonOptions

jsonOptions: IJsonParserOptions

- Defined in src/services/http/RestService.ts:46

JsonService options to use with this request, use this only if naming strategy is different for this request

### Optional returnHeaders

returnHeaders: boolean

- Defined in src/services/http/RestService.ts:52

If you want to inspect response headers, pass this true, but make sure you have return type as IApiResponse

Generated using TypeDoc